Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.query.listen
Class JDBCToLowerCase

    java.lang.Object
      |
      +--com.solarmetric.kodo.query.listen.ToLowerCase
            |
            +--com.solarmetric.kodo.impl.jdbc.query.listen.JDBCToLowerCase

All Implemented Interfaces:
  FilterListener, JDBCFilterListener

public class JDBCToLowerCase
extends com.solarmetric.kodo.query.listen.ToLowerCase
implements JDBCFilterListener

Transforms the target to lower case.

Example:
`"address.street.ext:toLowerCase () == \"main\""`

Fields inherited from class com.solarmetric.kodo.query.listen.ToLowerCase
`TAG`

Constructor Summary
`JDBCToLowerCase()`

Method Summary
`void` | `where(QuerySQLBuffer buf, JDBCValue target, JDBCValue arg, ClassMapping type, PersistenceManagerImpl pm)` Append the SQL for this expression or value.

Methods inherited from class com.solarmetric.kodo.query.listen.ToLowerCase
`evaluate, expectsArgument, expectsTarget, getTag, isExpression`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.kodo.query.FilterListener
`evaluate, expectsArgument, expectsTarget, getTag, isExpression`

Constructor Detail

### JDBCToLowerCase

    public JDBCToLowerCase()

Method Detail

### where

    public void where(QuerySQLBuffer buf,
                      JDBCValue target,
                      JDBCValue arg,
                      ClassMapping type,
                      PersistenceManagerImpl pm)

  Description copied from interface: `JDBCFilterListener`
  Append the SQL for this expression or value.
  Specified by:
    `where` in interface `JDBCFilterListener`
  Following copied from interface: `com.solarmetric.kodo.impl.jdbc.query.JDBCFilterListener`
  Parameters:
    `buf` - the SQL buffer to append to
    `target` - the target to act on; this will usually be a `SQLPath`, but depending on usage could also be other values; it will be null if the listener doesn't expect a target
    `arg` - the value of the argument given in the filter; this will usually be a `Constant`, but will be null if this listener doesn't expect an argument
    `mapping` - the class mapping for the query's candidate class
    `pm` - the persistence manager that owns the query

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.